ProfileQualityRow
Aggregated evaluation results and usage for one agent profile.
Usage profiles
| Usage | Fields and validation |
|---|---|
| In responses | View fields |
In responses
API JSON uses JSON field names (camelCase).
| Field | Type | Presence | Meaning |
|---|---|---|---|
profileId | string | Optional | Identifier of the agent profile associated with the generation. |
traceCount | string (int64) | Optional | Number of traces represented by this summary or group. Pattern: ^-?\d+$. |
avgEndUserRating | number (double) or string (NaN, Infinity, -Infinity) | Optional | Average end-user rating reported for the selected generation group. |
avgJudgeScore | number (double) or string (NaN, Infinity, -Infinity) | Optional | Average automated judge score reported for the selected generation group. |
thumbsDownCount | string (int64) | Optional | Number of negative thumb ratings reported for the selected group. Pattern: ^-?\d+$. |
Where used
| Reference | Relationship |
|---|---|
| Get the eval overview | POST /api/v1/evals/get-overview |
| EvalOverview | Nested in model |
Download the public reference contract.
Document: DOC-API-MODEL-profile-quality-row.